Skip to main content
GET
/
v2
/
approval-requests
/
{approval_request_id}
Get Approval Request
curl --request GET \
  --url https://public.api.serval.com/v2/approval-requests/{approval_request_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "accessRequestTimeAllocationId": "<string>",
    "workflowRunId": "<string>",
    "id": "<string>",
    "result": "APPROVAL_REQUEST_RESULT_UNSPECIFIED",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

approval_request_id
string
required

The ID of the approval request.

Response

Success

data
data · object

A runtime approval request tracking the approval workflow for an access request or workflow run.

Set exactly ONE of: accessRequestTimeAllocationId, workflowRunId